/* COPYRIGHT Esri - https://js.arcgis.com/5.1/LICENSE.txt */
import { g as n } from "./runtime.js";
function l(t) {
  const r = c(t), a = n("assets/item-icons/");
  return r === "group" ? `${a}/${r}16.png` : `${a}/${r}16.svg`;
}
function c(t) {
  const r = t.toLowerCase().trim();
  return r.includes("feature layer") ? r.includes("hosted") ? "featureshosted" : "features" : r.includes("table") ? "table" : r.includes("web map") ? "maps" : r.includes("instant app") ? "instantapps" : r.includes("dashboard") ? "dashboard" : r.includes("experience") ? "experiencebuilder" : r.includes("survey") || r.includes("form") ? "form" : r.includes("notebook") ? "notebook" : r.includes("story map") || r === "storymap" ? "storymap" : r.includes("hub page") ? "hubpage" : r.includes("hub initiative") ? "hubinitiative" : r.includes("hub event") ? "hubevent" : r.includes("hub project") ? "hubproject" : r.includes("hub site") || r.includes("site") ? "hubsite" : r.includes("quickcapture") ? "quickcaptureproject" : r.includes("data pipeline") ? "datapipeline" : r.includes("desktop application template") ? "datafilesgray" : r === "group" ? "group" : r === "csv" ? "csv" : r.includes("web app") || r.includes("web mapping application") ? "apps" : "maps";
}
function p(t, r) {
  const a = o(t, r), e = n("assets/item-icons/");
  return a === "group" ? `${e}/${a}16.png` : `${e}/${a}16.svg`;
}
function o(t, r) {
  const a = t.toLowerCase(), e = r || [], s = e.includes("Hosted Service");
  switch (a.trim()) {
    case "360 vr experience":
      return "360vr";
    case "3dtiles package":
      return "3dtileslayerpackage";
    case "3dtiles service":
      return e.includes("3DObject") ? "3dobjecttileslayer" : e.includes("IntegratedMesh") ? "integratedmeshtileslayer" : "3dobjecttileslayer";
    case "feature service":
    case "feature collection":
    case "kml":
    case "wfs":
      if (e.includes("IndoorPositioningDataService"))
        return "indoorpositioningdataservice";
      const i = e.includes("Spatiotemporal");
      return e.includes("Table") ? i ? "spatiotemporaltable" : "table" : e.includes("Route Layer") ? "routelayer" : e.includes("Markup") ? "markup" : i ? "spatiotemporal" : e.includes("UtilityNetwork") ? "utilitynetwork" : s ? "featureshosted" : "features";
    case "group":
      return "group";
    case "group layer":
      return e.includes("Map") ? "layergroup2d" : e.includes("Scene") ? "layergroup3d" : "layergroup";
    case "wmts":
      return "maptiles";
    case "map service":
    case "wms":
      return s || e.includes("Tiled") ? "maptiles" : "mapimages";
    case "scene service":
      return e.includes("Line") ? "sceneweblayerline" : e.includes("3DObject") ? "sceneweblayermultipatch" : e.includes("Point") ? "sceneweblayerpoint" : e.includes("IntegratedMesh") ? "sceneweblayermesh" : e.includes("PointCloud") ? "sceneweblayerpointcloud" : e.includes("Polygon") ? "sceneweblayerpolygon" : e.includes("Building") ? "sceneweblayerbuilding" : e.includes("Voxel") ? "sceneweblayervoxel" : "sceneweblayer";
    case "image service":
      return e.includes("Elevation 3D Layer") ? "elevationlayer" : e.includes("Tiled Imagery") ? "tiledimagerylayer" : "imagery";
    case "stream service":
      return "streamlayer";
    case "video service":
      return e.includes("Live Stream") ? "livestreamvideolayer" : "mediaservice";
    case "vector tile service":
      return "vectortile";
    case "datastore catalog service":
      return "datastorecollection";
    case "geocoding service":
      return "geocodeservice";
    case "geoprocessing service":
      return e.includes("Web Tool") ? "tool" : "layers";
    case "geodata service":
      return "geodataservice";
    case "web map":
    case "cityengine web scene":
      return "maps";
    case "web scene":
      return e.includes("ViewingMode-Local") ? "webscenelocal" : "websceneglobal";
    case "application":
    case "web mapping application":
    case "mobile application":
    case "operation view":
    case "desktop application":
      return e.includes("configurableApp") ? "instantapps" : "apps";
    case "map document":
    case "map package":
    case "published map":
    case "scene document":
    case "globe document":
    case "basemap package":
    case "mobile basemap package":
    case "mobile map package":
    case "project package":
    case "project template":
    case "pro map":
    case "layout":
      return "mapsgray";
    case "layer":
      return e.includes("ArcGIS Pro") ? "mapsgray" : "layersgray";
    case "explorer map":
      return e.indexOf("Explorer Document") ? "mapsgray" : e.includes("Explorer Mapping Application") ? "datafilesgray" : "mapsgray";
    case "pro presentation":
      return "propresentation";
    case "api key":
      return "key";
    case "csv":
      return "csv";
    case "shapefile":
      return "shapefile";
    case "csv collection":
      return "csvcollection";
    case "media layer":
      return "medialayer";
    case "microsoft excel":
      return "excel";
    case "microsoft powerpoint":
      return "powerpoint";
    case "microsoft word":
      return "word";
    case "pdf":
      return "pdf";
    case "sqlite geodatabase":
      return "sqlite";
    case "administrative report":
      return "report";
    case "image":
      return "image";
    case "cad drawing":
      return "cad";
    case "service definition":
    case "geojson":
    case "netcdf":
      return "data";
    case "explorer add in":
    case "desktop add in":
    case "windows viewer add in":
    case "windows viewer configuration":
      return "appsgray";
    case "arcgis pro add in":
    case "arcgis pro configuration":
      return "addindesktop";
    case "rule package":
    case "file geodatabase":
    case "kml collection":
    case "windows mobile package":
    case "map template":
    case "desktop application template":
    case "gml":
    case "arcpad package":
    case "code sample":
    case "document link":
    case "earth configuration":
    case "operations dashboard add in":
    case "rules package":
    case "workflow manager package":
      return "datafilesgray";
    case "form":
      return e.includes("Survey123") ? "survey" : "datafilesgray";
    case "network analysis service":
    case "geometry service":
    case "geoprocessing package":
    case "locator package":
    case "geoprocessing sample":
    case "workflow manager service":
      return "toolsgray";
    case "layer package":
    case "explorer layer":
      return "layersgray";
    case "scene package":
      return "scenepackage";
    case "mobile scene package":
      return "mobilescenepackage";
    case "tile package":
    case "compact tile package":
      return "tilepackage";
    case "task file":
      return "taskfile";
    case "report template":
      return "reporttemplate";
    case "statistical data collection":
      return "statisticaldatacollection";
    case "analysis model":
      return "geoprocessingmodel";
    case "insights workbook":
      return "workbook";
    case "insights model":
      return "insightsmodel";
    case "insights page":
      return "insightspage";
    case "insights theme":
      return "insightstheme";
    case "hub initiative":
      return "hubinitiative";
    case "hub page":
      return "hubpage";
    case "hub event":
      return "hubevent";
    case "hub site application":
      return "hubsite";
    case "hub project":
      return "hubproject";
    case "relational database connection":
      return "relationaldatabaseconnection";
    case "image collection":
      return "imagecollection";
    case "style":
      return e.includes("Dictionary") ? "dictionarystyle" : "style";
    case "desktop style":
      return "desktopstyle";
    case "dashboard":
      return "dashboard";
    case "raster function template":
      return "rasterprocessingtemplate";
    case "vector tile package":
      return "vectortilepackage";
    case "ortho mapping project":
      return "orthomappingproject";
    case "ortho mapping template":
      return "orthomappingtemplate";
    case "solution":
      return "solutions";
    case "geopackage":
      return "geopackage";
    case "deep learning package":
      return "deeplearningpackage";
    case "real time analytic":
      return "realtimeanalytics";
    case "big data analytic":
      return "bigdataanalytics";
    case "feed":
      return "feed";
    case "excalibur imagery project":
      return "excaliburimageryproject";
    case "notebook":
      return "notebook";
    case "reality mapping project":
      return "realitymappingproject";
    case "storymap":
      return e.includes("storymaptemplate") ? "storymapstemplate" : e.includes("storymapcollection") ? "storymapcollection" : e.includes("storymapbriefing") ? "storymapbriefing" : "storymap";
    case "survey123 add in":
      return "survey123addin";
    case "mission":
      return "mission";
    case "mission report":
      return "missionreport";
    case "quickcapture project":
      return "quickcaptureproject";
    case "pro report":
      return "proreport";
    case "urban model":
      return "urbanmodel";
    case "urban project":
      return "urbanproject";
    case "web experience":
      return "experiencebuilder";
    case "web experience template":
      return "webexperiencetemplate";
    case "experience builder widget":
      return "experiencebuilderwidget";
    case "experience builder widget package":
      return "experiencebuilderwidgetpackage";
    case "workflow":
      return "workflow";
    case "insights script":
      return "insightsscript";
    case "kernel gateway connection":
      return "kernelgatewayconnection";
    case "hub initiative template":
      return "hubinitiativetemplate";
    case "storymap theme":
      return "storymaptheme";
    case "knowledge graph":
      return "knowledgegraph";
    case "knowledge studio project":
      return "knowledgestudio";
    case "knowledge graph layer":
      return "knowledgegraphlayer";
    case "native application":
      return "nativeapp";
    case "native application installer":
      return "nativeappinstaller";
    case "web link chart":
      return "linkchart";
    case "knowledge graph web investigation":
      return "investigation";
    case "ogcfeatureserver":
      return "features";
    case "pro project":
      return "proproject";
    case "insights workbook package":
      return "insightsworkbookpackage";
    case "apache parquet":
      return "apacheparquet";
    case "notebook code snippets":
    case "notebook code snippet library":
      return "notebookcodesnippets";
    case "suitability model":
      return "suitabilitymodel";
    case "esri classifier definition":
      return "classifierdefinition";
    case "esri classification schema":
      return "classificationschema";
    case "insights data engineering workbook":
      return "dataengineeringworkbook";
    case "insights data engineering model":
      return "dataengineeringmodel";
    case "deep learning studio project":
      return "deeplearningproject";
    case "data store":
      return "datastore";
    case "data pipeline":
      return "datapipeline";
    default:
      return e.includes("Document") ? "datafilesgray" : a.includes("service") ? "layers" : "maps";
  }
}
export {
  p as a,
  l as g
};
